phing-parser

# Class: ProjectHandler Source Location: /parser/ProjectHandler.php
### Class Overview
    AbstractHandler
       |
       --ProjectHandler
Handler class for the <project> XML element This class handles all elements under the <project> element. #### Author(s): Andreas Aderhold <andi@binarycloud.com> #### Version: $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $ #### Copyright: (c) 2001,2002 THYRELL. All rights reserved | ### Methods __construct canonicalName init startElement
### Inherited Variables #### Class: AbstractHandler AbstractHandler::$parentHandler AbstractHandler::$parser | ### Inherited Methods #### Class: AbstractHandler AbstractHandler::__construct() Constructs a SAX handler parser. AbstractHandler::characters() Invoked by occurance of #PCDATA. AbstractHandler::endElement() Gets invoked when a XML element ends. AbstractHandler::finished() Gets invoked when element closes method. AbstractHandler::startElement() Gets invoked when a XML open tag occurs
### Class Details [line 35] Handler class for the <project> XML element This class handles all elements under the <project> element. #### Tags:
author: | Andreas Aderhold <andi@binarycloud.com>
version: | $Revision: 552 $ $Date: 2009-08-29 14:18:13 +0200 (Sat, 29 Aug 2009) $
copyright: | (c) 2001,2002 THYRELL. All rights reserved
access: | public
[ Top ] ### Class Methods ### static method canonicalName [line 165]
`static void canonicalName( $name)`
#### Parameters:
| $name |
[ Top ] ### constructor __construct [line 51]
`ProjectHandler __construct( object the $parser, object the $parentHandler, object the $configurator)`
Constructs a new ProjectHandler #### Tags:
access: | public
Overrides AbstractHandler::__construct() (Constructs a SAX handler parser.) #### Parameters:
object the | $parser | ExpatParser object
object the | $parentHandler | parent handler that invoked this handler
object the | $configurator | ProjectConfigurator object
[ Top ] ### method init [line 66]
`void init( string $tag, array $attrs, object the 2)`
Executes initialization actions required to setup the project. Usually this method handles the attributes of a tag. #### Tags:
throws: | ExpatParseException if attributes are incomplete or invalid
access: | public
#### Parameters:
object the | 2 | ProjectConfigurator object
string | $tag | the tag that comes in
array | $attrs | attributes the tag carries
[ Top ] ### method startElement [line 148]
`void startElement( string $name, array $attrs)`
Handles start elements within the <project> tag by creating and calling the required handlers for the detected element. #### Tags:
throws: | ExpatParseException if a unxepected element occurs
access: | public
Overrides AbstractHandler::startElement() (Gets invoked when a XML open tag occurs) #### Parameters:
string | $name | the tag that comes in
array | $attrs | attributes the tag carries
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:51:48 +0200 by phpDocumentor 1.4.3